%define upstream_name    Pod-Weaver-PluginBundle-Apocalyptic
%define upstream_version 0.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Let the apocalypse generate your POD!
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Pod::Elemental::Transformer::List)
BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(Pod::Weaver::Plugin::Encoding)
BuildRequires: perl(Pod::Weaver::Plugin::EnsureUniqueSections)
BuildRequires: perl(Pod::Weaver::Plugin::StopWords)
BuildRequires: perl(Pod::Weaver::Section::Contributors)
BuildRequires: perl(Pod::Weaver::Section::SeeAlso)
BuildRequires: perl(Pod::Weaver::Section::Support)
BuildRequires: perl(Pod::Weaver::Section::WarrantyDisclaimer)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
In your _weaver.ini_:

	[@Apocalyptic]

Or alternatively, in your the Dist::Zilla manpage dist's _dist.ini_:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc INSTALL META.json LICENSE META.yml Changes SIGNATURE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.4.0-7.mga10
+ Revision: 2200322
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.4.0-6.mga9
+ Revision: 1805394
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.4.0-5.mga8
+ Revision: 1496762
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.4.0-4.mga7
+ Revision: 1270718
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.4.0-3.mga6
+ Revision: 1032337
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.4.0-2.mga6
+ Revision: 966818
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.4.0-1.mga6
+ Revision: 846892
- update to 0.004

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-5.mga5
+ Revision: 739680
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 514227
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 372031
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 shlomif <shlomif> 0.3.0-1.mga3
+ Revision: 333838
- imported package perl-Pod-Weaver-PluginBundle-Apocalyptic


* Sat Dec 22 2012 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
